import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./load-more.stories";

<Meta of={ComponentStories} name="Docs" />

# Load More

## Load More Button

To use the `ux-iws-load-more` component, pass as the `target-element-selector` prop the container in which the API response should be added.
The prop has to have the form of a css selector, so, for example, use the class as the container: `.target-list`.
In this specified element, there has to be a `link` element present with the following attributes: `rel="next"` and `href="insert-the-api-endpoint-here"`.

By default, the `ux-iws-load-more` has 30px of vertical margin, the standard spacing measure between elements.
If this value needs to be overwritten, use the `ux-u-margin-` utility class followed by direction (vertical, horizontal, top, bottom), and magnitude of margin.
Example: `ux-u-margin-top-50`. Use this class directily on the component itself.

<Canvas of={ComponentStories.Button}></Canvas>

## Load More Link

To use the link version of the `ux-iws-load-more` component, add the prop `link` to it.

<Canvas of={ComponentStories.Link}></Canvas>

## Developer Documentation

<Controls />
